package com.csnf.util;

import lombok.Data;

/**
 * 分页类
 */
@Data
public class PageUtil {
    private int pageSize;//每页显示的条数
    private int totalCount;//总条数
    private int totalPage;//总页数
    private int currentPage;//当前页码
    private int startIndex;//开始索引

    public Boolean isHasPrev(){
        return currentPage > 1;
    }

    public Boolean isHasNext(){
        return currentPage + 1 < getTotalPage();
    }
}
